Bug 1191106 - [RFE] Improve user interface of interface configuration
Summary: [RFE] Improve user interface of interface configuration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: Sachin Ghai
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-10 13:17 UTC by Tomas Strachota
Modified: 2017-02-23 20:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:24:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
host -> network tab shows newly configured BMC interface configurtion (34.36 KB, image/png)
2015-03-09 09:38 UTC, Sachin Ghai
no flags Details
added new alias interface and updated its IP (21.41 KB, image/png)
2015-03-09 10:57 UTC, Sachin Ghai
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 7462 0 None None None 2016-04-22 16:25:16 UTC
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Tomas Strachota 2015-02-10 13:17:23 UTC
Improve interface manipulation in host form. We could use similar approach that Kyle was suggesting for the OS page (regarding creating objects of one type directly in the edit page of
another). Perhaps we could use this idea to create network objects on the fly, and then display a more condensed version as each is saved, to reduce screen clutter?

Also we should display most important networking information (primary/provision IP/MAC) in host detail so we don't have to edit or display (read-only) the host form.

We should also display more information about subnet that's being assigned to the interface (e.g. vlanid, boot mode and such)

Comment 1 Tomas Strachota 2015-02-10 13:17:25 UTC
Created from redmine issue http://projects.theforeman.org/issues/7462

Comment 5 Bryan Kearney 2015-02-18 21:44:44 UTC
Upstream bug assigned to tstrachota

Comment 6 Sachin Ghai 2015-03-09 09:37:20 UTC
I think this bz is related to new interface model window under host --> network form.

Now this model window shows the configured interface with identifier, type and mac. Also subnet page shows bootmode and IPAM etc. Please see the attached screenshot of configured BMC interface.

Comment 7 Sachin Ghai 2015-03-09 09:38:47 UTC
Created attachment 999466 [details]
host -> network tab shows newly configured BMC interface configurtion

Comment 10 Sachin Ghai 2015-03-09 10:57:25 UTC
Created attachment 999498 [details]
added new alias interface and updated its IP

Comment 11 Sachin Ghai 2015-03-09 10:58:15 UTC
Verified with:

Sat6.1 beta snap4 compose2

Satellite-6.1.0-RHEL-6-20150225.0

Comment 12 Bryan Kearney 2015-08-11 13:34:40 UTC
This bug is slated to be released with Satellite 6.1.

Comment 13 errata-xmlrpc 2015-08-12 05:24:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.